Package org.apache.lucene.backward_codecs.lucene50

## Class Lucene50PostingsReader

- java.lang.Object
- - org.apache.lucene.codecs.PostingsReaderBase
  - - org.apache.lucene.backward_codecs.lucene50.Lucene50PostingsReader

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`

      public final class Lucene50PostingsReader
      extends PostingsReaderBase

  Concrete class that reads docId(maybe frq,pos,offset,payloads) list with postings format.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Lucene50PostingsReader​(SegmentReadState state)` | Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkIntegrity()` |
    `void` | `close()` |
    `void` | `decodeTerm​(DataInput in, FieldInfo fieldInfo, BlockTermState _termState, boolean absolute)` |
    `ImpactsEnum` | `impacts​(FieldInfo fieldInfo, BlockTermState state, int flags)` |
    `void` | `init​(IndexInput termsIn, SegmentReadState state)` |
    `BlockTermState` | `newTermState()` |
    `PostingsEnum` | `postings​(FieldInfo fieldInfo, BlockTermState termState, PostingsEnum reuse, int flags)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene50PostingsReader

          public Lucene50PostingsReader​(SegmentReadState state)
                                 throws IOException

      Sole constructor.
      Throws:
        `IOException`

  - ### Method Detail

    - #### init

          public void init​(IndexInput termsIn,
                           SegmentReadState state)
                    throws IOException

      Specified by:
        `init` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### newTermState

          public BlockTermState newTermState()

      Specified by:
        `newTermState` in class `PostingsReaderBase`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### decodeTerm

          public void decodeTerm​(DataInput in,
                                 FieldInfo fieldInfo,
                                 BlockTermState _termState,
                                 boolean absolute)
                          throws IOException

      Specified by:
        `decodeTerm` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### postings

          public PostingsEnum postings​(FieldInfo fieldInfo,
                                       BlockTermState termState,
                                       PostingsEnum reuse,
                                       int flags)
                                throws IOException

      Specified by:
        `postings` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### impacts

          public ImpactsEnum impacts​(FieldInfo fieldInfo,
                                     BlockTermState state,
                                     int flags)
                              throws IOException

      Specified by:
        `impacts` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Specified by:
        `checkIntegrity` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`